Bug 1116653 - Review Request: abduco - Session management in a clean and simple way
Summary: Review Request: abduco - Session management in a clean and simple way
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-06 20:32 UTC by Igor Gnatenko
Modified: 2014-08-29 19:42 UTC (History)
2 users (show)

Fixed In Version: abduco-0.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-28 15:33:01 UTC
denis: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Igor Gnatenko 2014-07-06 20:32:47 UTC
Spec URL: http://ignatenkobrain.fedorapeople.org/for-review/abduco.spec
SRPM URL: http://ignatenkobrain.fedorapeople.org/for-review/abduco-0.1-1.fc21.src.rpm
Description:
abduco provides session management i.e. it allows programs to be run independently from its controlling terminal. That is programs can be detached - run in the background - and then later reattached. Together with dvtm it provides a simpler and cleaner alternative to tmux or screen.
Fedora Account System Username: ignatenkobrain

Comment 1 Igor Gnatenko 2014-07-06 20:54:55 UTC
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7110365

Comment 2 Denis Fateyev 2014-07-06 21:09:14 UTC
Funny, I've just finished package for it, too ;-)
One question: what's the reason to create bogus configure script and run it? Build goes smoothly without it.
Do you have plans to package it for EPEL?

Comment 3 Igor Gnatenko 2014-07-06 21:15:44 UTC
(In reply to Denis Fateyev from comment #2)
> Funny, I've just finished package for it, too ;-)
:-)
> One question: what's the reason to create bogus configure script and run it?
we want to apply Fedora CFLAGS for make.
> Build goes smoothly without it.
> Do you have plans to package it for EPEL?
If someone needed.

Comment 4 Denis Fateyev 2014-07-06 21:28:08 UTC
> we want to apply Fedora CFLAGS for make.
I got it looking at the koji build. I patched all CFLAGS options in spec, it gave me the same result. Anyway, not so important when it works. And with `configure` it seems to be more efficient.
> If someone needed.
I do (for all branches if possible).

Comment 5 Denis Fateyev 2014-07-06 21:57:16 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "ISC", "Unknown or generated". 5 files have unknown license. Detailed
     output of licensecheck in
     /home/mock/sandbox/test/1116653-abduco/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: abduco-0.1-1.fc20.x86_64.rpm
          abduco-0.1-1.fc20.src.rpm
abduco.x86_64: W: spelling-error %description -l en_US dvtm -> advt
abduco.x86_64: W: spelling-error %description -l en_US tmux -> tux
abduco.x86_64: E: changelog-time-in-future 2014-07-07
abduco.src: W: spelling-error %description -l en_US dvtm -> advt
abduco.src: W: spelling-error %description -l en_US tmux -> tux
abduco.src: E: changelog-time-in-future 2014-07-07
abduco.src:21: W: configure-without-libdir-spec
2 packages and 0 specfiles checked; 2 errors, 5 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint abduco
abduco.x86_64: W: spelling-error %description -l en_US dvtm -> advt
abduco.x86_64: W: spelling-error %description -l en_US tmux -> tux
abduco.x86_64: E: changelog-time-in-future 2014-07-07
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'


Requires
--------
abduco (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
abduco:
    abduco
    abduco(x86-64)



Source checksums
----------------
http://www.brain-dump.org/projects/abduco//abduco-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : b4ef297cb7cc81170dc7edf75385cb1c55e024a52f90c1dd0bc0e9862e6f39b5
  CHECKSUM(SHA256) upstream package : b4ef297cb7cc81170dc7edf75385cb1c55e024a52f90c1dd0bc0e9862e6f39b5


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1116653
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


licensecheck.txt: 
----------------

ISC
---
abduco-0.1/abduco.c
abduco-0.1/forkpty-aix.c

Unknown or generated
--------------------
abduco-0.1/client.c
abduco-0.1/config.def.h
abduco-0.1/debug.c
abduco-0.1/server.c
abduco-0.1/testsuite.sh

License is missing for some sources with small routines, better to inform upstream. According their content, assume they are covered with the same license.
Please add epel-branches to the SCM request (or simply add me as the package co-maintainter). Review result: package is approved.

Comment 6 Igor Gnatenko 2014-07-07 14:10:45 UTC
New Package SCM Request
=======================
Package Name: abduco
Short Description: Session management in a clean and simple way
Upstream URL: http://www.brain-dump.org/projects/abduco/
Owners: ignatenkobrain
Branches: f19 f20 el6 epel7

Comment 7 Igor Gnatenko 2014-07-07 14:11:33 UTC
> or simply add me as the package co-maintainter
I have not found you fas id, so feel free to request acls when package will be added.

Comment 8 Gwyn Ciesla 2014-07-07 17:07:53 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-07-07 20:04:27 UTC
abduco-0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/abduco-0.1-1.fc20

Comment 10 Fedora Update System 2014-07-07 20:05:25 UTC
abduco-0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/abduco-0.1-1.fc19

Comment 11 Fedora Update System 2014-07-07 21:31:59 UTC
abduco-0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/abduco-0.1-1.el6

Comment 12 Fedora Update System 2014-07-09 02:27:48 UTC
abduco-0.1-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 13 Fedora Update System 2014-08-28 15:33:01 UTC
abduco-0.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-08-28 15:34:21 UTC
abduco-0.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2014-08-29 19:42:59 UTC
abduco-0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.